#include <iostream>

using namespace std;

int main()
{
    int n, l;

    cin>>n>>l;

    int a[n+1];
    int check=0;

    for(int i=1; i<=n; i++)
    {
        cin>>a[i];
    }

    for(int i=1; i<=n; i++)
    {
        if(a[i]>l)
        {
            check++;
        }
        else if(a[i]<=l)
        {
            cout<<(check+=1);
            break;
        }
    }
    if(check==n)
        cout<<-1;

    return 0;
}